## ClutterDesaturateEffect ClutterDesaturateEffect — A desaturation effect |

## Functions

ClutterEffect * | clutter_desaturate_effect_new ()
void | clutter_desaturate_effect_set_factor ()
gdouble | clutter_desaturate_effect_get_factor ()

## Properties

gdouble | factor | Read / Write

## Types and Values

| ClutterDesaturateEffect

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActorMeta
                ╰── ClutterEffect
                    ╰── ClutterOffscreenEffect
                        ╰── ClutterDesaturateEffect

## Description

ClutterDesaturateEffect is a sub-class of ClutterEffect that desaturates the color of an actor and its contents. The strenght of the desaturation effect is controllable and animatable through the “factor” property.

ClutterDesaturateEffect is available since Clutter 1.4

## Functions

### clutter_desaturate_effect_new ()

    ClutterEffect *
    clutter_desaturate_effect_new (gdouble factor);

Creates a new ClutterDesaturateEffect to be used with `clutter_actor_add_effect()`

#### Parameters

factor | the desaturation factor, between 0.0 and 1.0 |

#### Returns

the newly created ClutterDesaturateEffect or `NULL`

Since 1.4

### clutter_desaturate_effect_set_factor ()

    void
    clutter_desaturate_effect_set_factor (ClutterDesaturateEffect *effect,
                                          gdouble factor);

Sets the desaturation factor for `effect` , with 0.0 being "do not desaturate" and 1.0 being "fully desaturate"

#### Parameters

effect | a ClutterDesaturateEffect |
factor | the desaturation factor, between 0.0 and 1.0 |

Since 1.4

### clutter_desaturate_effect_get_factor ()

    gdouble
    clutter_desaturate_effect_get_factor (ClutterDesaturateEffect *effect);

Retrieves the desaturation factor of `effect`

#### Parameters

effect | a ClutterDesaturateEffect |

#### Returns

the desaturation factor

Since 1.4

## Types and Values

### ClutterDesaturateEffect

    typedef struct _ClutterDesaturateEffect ClutterDesaturateEffect;

ClutterDesaturateEffect is an opaque structure whose members cannot be directly accessed

Since 1.4

## Property Details

### The `“factor”` property

      “factor”                   gdouble

The desaturation factor, between 0.0 (no desaturation) and 1.0 (full desaturation).

Flags: Read / Write

Allowed values: [0,1]

Default value: 1

Since 1.4

## See Also

ClutterEffect, ClutterOffscreenEffect